# Overview

Telmai offers APIs that allow users to:

* Configure connections and assets
* Trigger scan
* Manage users
* Retrieve result data

### Authentication

Authentication can be specified through:

* User name & password
* API Key
* API token

Please refer to [Authentication API ](/telmai/api-reference/authentication-api.md)for more details

### Available controllers

Telmai provides the following controllers for APIs:

<table><thead><tr><th width="187.6328125">Controller</th><th width="306.6796875">Controller Endpoint</th><th>Purpose</th></tr></thead><tbody><tr><td>Authentication API <code>{auth_endpoint}</code></td><td><code>https://{telmai_endpoint}/api/auth</code></td><td>Authentication and token creation</td></tr><tr><td>Configuration API <code>{config_endpoint}</code></td><td><code>https://{telmai_endpoint}/api/backend/</code></td><td>Configuring connections and assets</td></tr><tr><td>Analytics API <code>{analytics_endpoint}</code></td><td><code>https://{telmai_endpoint}/api/search</code></td><td>Metrics access</td></tr><tr><td>Data API <code>{data_endpoint}</code></td><td><code>https://{telmai_endpoint}/api/data</code></td><td>Upload management</td></tr></tbody></table>

These controllers can be used for the corresponding Telmai instance:

`https://{telmai_endpoint}/{controller_endpoint}/{function}`

### Headers

The following headers are always required when calling Telmai APIs

| Name                                             | Type   | Description                                                   |
| ------------------------------------------------ | ------ | ------------------------------------------------------------- |
| Content-type                                     | string | application/json                                              |
| Authentication<mark style="color:red;">\*</mark> | string | Bearer \<access\_token>. Access token from Authentication API |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.telm.ai/telmai/api-reference/telmai-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
